/*
 * Copyright (c) 2013-2024 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The TimeZone data model.
 * @see com.quartzdesk.domain.model.common.TimeZone
 */
Ext.define( 'QDesk.model.common.TimeZone', {
  extend : 'Ext.data.Model',
  fields : [

    { name : 'id', type : 'string' },
    { name : 'isoAbbr', type : 'string' },
    { name : 'displayName', type : 'string' },
    /*
     * Timezone offset in seconds.
     */
    { name : 'offset', type : 'int', allowNull : true }
  ]
} );
