/*
 * Copyright (c) 2013-2024 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The Date data model.
 * @see com.quartzdesk.domain.model.common.Date
 */
Ext.define( 'QDesk.model.common.Date', {
  extend : 'Ext.data.Model',
  fields : [

    { name : 'year', type : 'int', allowNull : false },
    /*
     * See QDesk.model.common.Month
     */
    { name : 'month', type : 'string', allowNull : false },
    { name : 'day', type : 'int', allowNull : false }
  ]
} );
