/*
 * Copyright (c) 2013-2024 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Message channel.
 */
Ext.define( 'QDesk.model.message.channel.MessageChannel', {
  singleton : true,

  COLLABORATION_HIPCHAT : 'COLLABORATION_HIPCHAT',
  COLLABORATION_SLACK : 'COLLABORATION_SLACK',

  EMAIL : 'EMAIL',

  INCIDENT_MGMT_ALERTOPS : 'INCIDENT_MGMT_ALERTOPS',
  INCIDENT_MGMT_DYNATRACE : 'INCIDENT_MGMT_DYNATRACE',
  INCIDENT_MGMT_FRESHSERVICE : 'INCIDENT_MGMT_FRESHSERVICE',
  INCIDENT_MGMT_JIRA : 'INCIDENT_MGMT_JIRA',
  INCIDENT_MGMT_OPSGENIE : 'INCIDENT_MGMT_OPSGENIE',
  INCIDENT_MGMT_PAGERDUTY : 'INCIDENT_MGMT_PAGERDUTY',
  INCIDENT_MGMT_SPLUNK : 'INCIDENT_MGMT_SPLUNK',
  INCIDENT_MGMT_SQUADCAST : 'INCIDENT_MGMT_SQUADCAST',
  INCIDENT_MGMT_XMATTERS : 'INCIDENT_MGMT_XMATTERS',

  IM_XMPP : 'IM_XMPP',

  SMS_CLICKATELL_CENTRAL : 'SMS_CLICKATELL_CENTRAL', /* old Clickatell API */
  SMS_CLICKATELL_PLATFORM : 'SMS_CLICKATELL_PLATFORM', /* new Clickatell API */
  SMS_CLOCKWORK : 'SMS_CLOCKWORK',
  SMS_SMSGLOBAL : 'SMS_SMSGLOBAL',
  SMS_TWILIO : 'SMS_TWILIO',
  SMS_VONAGE : 'SMS_VONAGE',

  SNMPV1_TRAP : 'SNMPV1_TRAP',
  SNMPV2C_TRAP : 'SNMPV2C_TRAP',
  SNMPV3_TRAP : 'SNMPV3_TRAP',

  WEB_SERVICE : 'WEB_SERVICE'
} );
