/*
 * Copyright (c) 2013-2024 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Quartz calendar type enum.
 * Based on com.quartzdesk.domain.model.scheduler.quartz.QuartzCalendarType
 */
Ext.define( 'QDesk.model.scheduler.quartz.QuartzCalendarType', {
  singleton : true,

  ANNUAL : 'ANNUAL',
  CRON : 'CRON',
  DAILY : 'DAILY',
  HOLIDAY : 'HOLIDAY',
  MONTHLY : 'MONTHLY',
  WEEKLY : 'WEEKLY',
  CUSTOM : 'CUSTOM'
} );
